package com.example.final_exam_l.entity;

import com.sun.istack.NotNull;
import lombok.*;

import javax.persistence.*;

@Getter
@Setter
@Table(name = "reviews")
@Entity
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class Review {
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;

    @Column
    @NotNull
    private String description;

    @Column
    @NotNull
    private Integer grade;

    @Column
    @NotNull
    @Builder.Default
    private boolean isDel = false;

    @NotNull
    @ManyToOne
    private Place place;

    @NotNull
    @ManyToOne
    private User user;
}
